Bug 997703 - [virtio-win][visoer]After un-install/reinstall driver,the port transfers data from guest to host doesn't work
[virtio-win][visoer]After un-install/reinstall driver,the port transfers data...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virtio-win (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: 7.0
Assigned To: Gal Hammer
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-15 23:26 EDT by Min Deng
Modified: 2014-06-18 04:57 EDT (History)
9 users (show)

See Also:
Fixed In Version: virtio-win-prewhql-0.1-74
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 05:45:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Min Deng 2013-08-15 23:26:51 EDT
Description of problem:
  Boot up a guest with two ports on one pci ,the first port is transferring data from guest to host ,another is from host to guest.Un-install vioser driver and it prompts to restart.After restarting guest,the first port doesn't work but the second works well.Restart the listener on host side for the first port but it still cannot work.

Version-Release number of selected component (if applicable):

Build 67
qemu-kvm-rhev-0.12.1.2-2.386.el6.x86_64
kernel-2.6.32-411.el6.x86_64
seabios-0.6.1.2-28.el6.x86_64

How reproducible:
3 times.

Steps to reproduce:

1.boot up guest with 
  
  /usr/libexec/qemu-kvm -m 4G -smp 4 -usb -device usb-tablet,id=tablet0 -drive file=/home/win2012-active.raw,if=none,id=drive-virtio0-0-0,format=raw,werror=stop,rerror=stop,cache=none -device ide-drive,drive=drive-virtio0-0-0,id=virti0-0-0,bootindex=1 -netdev tap,id=hostnet0,vhost=on,script=/etc/qemu-ifup -device rtl8139,netdev=hostnet0,id=net0,mac=00:12:10:94:a3:f8 -uuid 8677bf9b-3cf6-47a1-b3e9-94213b801c87 -monitor stdio -device virtio-serial-pci,id=virtio-serial0,max_ports=16 -chardev socket,id=channel0,path=/tmp/helloworld1,server,nowait -device virtserialport,chardev=channel0,name=com.redhat.rhevm.vdsm1,bus=virtio-serial0.0,id=port0,nr=1 -chardev socket,id=channel1,path=/tmp/helloworld2,server,nowait -device virtserialport,chardev=channel1,name=com.redhat.rhevm.vdsm2,bus=virtio-serial0.0,id=port1,nr=2 -global PIIX4_PM.disable_s3=0 -global PIIX4_PM.disable_s4=0 -vnc :1

2.start listener on host

 1st port,
for ((;;))
  do 
  python serial-host-receive.py /tmp/helloworld1
done
 2nd port,
for ((;;))
  do 
  python serial-host-send.py /tmp/helloworld2
done

3.On guest

for ((;;))
do
Python27/python VirtIoChannel_Guest_send.py com.redhat.rhevm.vdsm1
done

for ((;;))
do
Python27/python VirtIoChannel_guest_recieve.py com.redhat.rhevm.vdsm2 
done

4.disable driver from device manager

  it prompts to restart.

5.restart guest and reinstall the driver

  The 1st driver doesn't work but the second works

6.re-start listener for 1st port again on host 
  
Actual results:
  1st ports doesn't work at all except for restarting guest *again*.

Expected results:
  Data can be transferred on both ports after un-install/reinstall

Additional info:
Comment 1 Min Deng 2013-08-15 23:28:59 EDT
Correction :
At Step4,not disable but un-install
Comment 3 Mike Cao 2013-08-20 08:39:33 EDT
mdeng ,pls help to check whether it work after guest reboot after your all steps
Comment 4 Min Deng 2013-08-21 03:22:29 EDT
(In reply to Mike Cao from comment #3)
> mdeng ,pls help to check whether it work after guest reboot after your all
> steps

 Mike,it works if rebooting.
Comment 5 Gal Hammer 2013-12-24 05:11:38 EST
Does this bug occur with a newer build (74)?
Comment 6 Min Deng 2013-12-26 01:01:44 EST
Re-test the bug with virtio-win-prewhql-0.1-74
steps,
please refer to bug's descriptions carefully.
Actual results,
After uninstall/reinstall the ports works correctly (guest to host and host to guest)
Expected results,
The ports works correctly (guest to host and host to guest)

So the issue has gone,it should be fixed.thanks for every one's efforts

Best Regards,
Min
Comment 7 Gal Hammer 2013-12-26 02:23:24 EST
Thanks Min. Moving to ON_QA for a closer.
Comment 10 Ludek Smid 2014-06-13 05:45:05 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.